#
# spec file for package perl-DBD-CSV (Version 0.1025)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-DBI perl-SQL-Statement perl-Text-CSV_XS
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-DBI perl-SQL-Statement perl-Text-CSV_XS ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-DBD-CSV
Summary:      The DBD::CSV module is yet another driver for the DBI (Database independent interface for Perl). This one is based on the SQL "engine" SQL::Statement and the abstract DBI driver DBD::File and implements access to so-called CSV files (Comma separated values). Such files are mostly used for exporting MS Access and MS Excel data.
Version:      0.1025
Release:      93
Copyright: distributable
Group:        Development/Libraries/Perl
Source0: DBD-CSV-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-%{version}-root/
Requires: perl >= 5.004, perl-DBI, perl-SQL-Statement >= 0.1016, perl-Text-CSV_XS >= 0.20
Obsoletes:   perl_csv
Provides:   perl_csv

%description
The DBD::CSV module is yet another driver for the DBI (Database independent interface for Perl). This one is based on the SQL "engine" SQL::Statement and the abstract DBI driver DBD::File and implements access to so-called CSV files (Comma separated values). Such files are mostly used for exporting MS Access and MS Excel data.

Authors:
--------
    Jochen Wiedmann<joe@ispsoft.de>

SuSE series: perl

%prep
%setup -q -n DBD-CSV-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
rm $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
find $RPM_BUILD_ROOT/usr/lib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
/var/adm/perl-modules/%{name}
/usr/share/man/man3/*

%changelog -n perl-DBD-CSV
* Thu Oct 11 2001 - nashif@suse.de
- Bug #11747: Fixed path for manpages
* Fri Feb 23 2001 - nashif@suse.de
- Update to version 0.1025
* Wed Dec 13 2000 - nashif@suse.de
- Changed Requires to new long package names
* Wed Nov 08 2000 - nashif@suse.de
- Changed to long package name
- Changed neededforbuild
* Tue Sep 26 2000 - nashif@suse.de
- Initial Release (Version 0.1022)
